Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network82.167.0.0/16
Usable hosts65,534
Subnet mask255.255.0.0
Addresses65,536
Network address
82.167.0.0
Broadcast address
82.167.255.255
First usable
82.167.0.1
Last usable
82.167.255.254
Usable hosts
65,534 (65,536 less the network and broadcast addresses)
Subnet mask
255.255.0.0
Wildcard mask
0.0.255.255 (Cisco ACLs, OSPF)
Prefix length
/16
Type
Public public
Old class
A (default /8)
As numbers
Hex 52A70000 · Integer 1386676224 to 1386741759
Reverse DNS zone
167.82.in-addr.arpa
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01010010.10100111..00000000.0000000082.167.0.0
Subnet mask11111111.11111111..00000000.00000000255.255.0.0
Network01010010.10100111..00000000.0000000082.167.0.0
Broadcast01010010.10100111..11111111.1111111182.167.255.255
Split into smaller subnets/24

82.167.0.0/16 makes 256 subnets of /24.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
182.167.0.0/2482.167.0.1 to 82.167.0.25482.167.0.255254
282.167.1.0/2482.167.1.1 to 82.167.1.25482.167.1.255254
382.167.2.0/2482.167.2.1 to 82.167.2.25482.167.2.255254
482.167.3.0/2482.167.3.1 to 82.167.3.25482.167.3.255254
582.167.4.0/2482.167.4.1 to 82.167.4.25482.167.4.255254
682.167.5.0/2482.167.5.1 to 82.167.5.25482.167.5.255254
782.167.6.0/2482.167.6.1 to 82.167.6.25482.167.6.255254
882.167.7.0/2482.167.7.1 to 82.167.7.25482.167.7.255254
982.167.8.0/2482.167.8.1 to 82.167.8.25482.167.8.255254
1082.167.9.0/2482.167.9.1 to 82.167.9.25482.167.9.255254
1182.167.10.0/2482.167.10.1 to 82.167.10.25482.167.10.255254
1282.167.11.0/2482.167.11.1 to 82.167.11.25482.167.11.255254
1382.167.12.0/2482.167.12.1 to 82.167.12.25482.167.12.255254
1482.167.13.0/2482.167.13.1 to 82.167.13.25482.167.13.255254
1582.167.14.0/2482.167.14.1 to 82.167.14.25482.167.14.255254
1682.167.15.0/2482.167.15.1 to 82.167.15.25482.167.15.255254
1782.167.16.0/2482.167.16.1 to 82.167.16.25482.167.16.255254
1882.167.17.0/2482.167.17.1 to 82.167.17.25482.167.17.255254
1982.167.18.0/2482.167.18.1 to 82.167.18.25482.167.18.255254
2082.167.19.0/2482.167.19.1 to 82.167.19.25482.167.19.255254
2182.167.20.0/2482.167.20.1 to 82.167.20.25482.167.20.255254
2282.167.21.0/2482.167.21.1 to 82.167.21.25482.167.21.255254
2382.167.22.0/2482.167.22.1 to 82.167.22.25482.167.22.255254
2482.167.23.0/2482.167.23.1 to 82.167.23.25482.167.23.255254
2582.167.24.0/2482.167.24.1 to 82.167.24.25482.167.24.255254
2682.167.25.0/2482.167.25.1 to 82.167.25.25482.167.25.255254
2782.167.26.0/2482.167.26.1 to 82.167.26.25482.167.26.255254
2882.167.27.0/2482.167.27.1 to 82.167.27.25482.167.27.255254
2982.167.28.0/2482.167.28.1 to 82.167.28.25482.167.28.255254
3082.167.29.0/2482.167.29.1 to 82.167.29.25482.167.29.255254
3182.167.30.0/2482.167.30.1 to 82.167.30.25482.167.30.255254
3282.167.31.0/2482.167.31.1 to 82.167.31.25482.167.31.255254
3382.167.32.0/2482.167.32.1 to 82.167.32.25482.167.32.255254
3482.167.33.0/2482.167.33.1 to 82.167.33.25482.167.33.255254
3582.167.34.0/2482.167.34.1 to 82.167.34.25482.167.34.255254
3682.167.35.0/2482.167.35.1 to 82.167.35.25482.167.35.255254
3782.167.36.0/2482.167.36.1 to 82.167.36.25482.167.36.255254
3882.167.37.0/2482.167.37.1 to 82.167.37.25482.167.37.255254
3982.167.38.0/2482.167.38.1 to 82.167.38.25482.167.38.255254
4082.167.39.0/2482.167.39.1 to 82.167.39.25482.167.39.255254
4182.167.40.0/2482.167.40.1 to 82.167.40.25482.167.40.255254
4282.167.41.0/2482.167.41.1 to 82.167.41.25482.167.41.255254
4382.167.42.0/2482.167.42.1 to 82.167.42.25482.167.42.255254
4482.167.43.0/2482.167.43.1 to 82.167.43.25482.167.43.255254
4582.167.44.0/2482.167.44.1 to 82.167.44.25482.167.44.255254
4682.167.45.0/2482.167.45.1 to 82.167.45.25482.167.45.255254
4782.167.46.0/2482.167.46.1 to 82.167.46.25482.167.46.255254
4882.167.47.0/2482.167.47.1 to 82.167.47.25482.167.47.255254
4982.167.48.0/2482.167.48.1 to 82.167.48.25482.167.48.255254
5082.167.49.0/2482.167.49.1 to 82.167.49.25482.167.49.255254
5182.167.50.0/2482.167.50.1 to 82.167.50.25482.167.50.255254
5282.167.51.0/2482.167.51.1 to 82.167.51.25482.167.51.255254
5382.167.52.0/2482.167.52.1 to 82.167.52.25482.167.52.255254
5482.167.53.0/2482.167.53.1 to 82.167.53.25482.167.53.255254
5582.167.54.0/2482.167.54.1 to 82.167.54.25482.167.54.255254
5682.167.55.0/2482.167.55.1 to 82.167.55.25482.167.55.255254
5782.167.56.0/2482.167.56.1 to 82.167.56.25482.167.56.255254
5882.167.57.0/2482.167.57.1 to 82.167.57.25482.167.57.255254
5982.167.58.0/2482.167.58.1 to 82.167.58.25482.167.58.255254
6082.167.59.0/2482.167.59.1 to 82.167.59.25482.167.59.255254
6182.167.60.0/2482.167.60.1 to 82.167.60.25482.167.60.255254
6282.167.61.0/2482.167.61.1 to 82.167.61.25482.167.61.255254
6382.167.62.0/2482.167.62.1 to 82.167.62.25482.167.62.255254
6482.167.63.0/2482.167.63.1 to 82.167.63.25482.167.63.255254
6582.167.64.0/2482.167.64.1 to 82.167.64.25482.167.64.255254
6682.167.65.0/2482.167.65.1 to 82.167.65.25482.167.65.255254
6782.167.66.0/2482.167.66.1 to 82.167.66.25482.167.66.255254
6882.167.67.0/2482.167.67.1 to 82.167.67.25482.167.67.255254
6982.167.68.0/2482.167.68.1 to 82.167.68.25482.167.68.255254
7082.167.69.0/2482.167.69.1 to 82.167.69.25482.167.69.255254
7182.167.70.0/2482.167.70.1 to 82.167.70.25482.167.70.255254
7282.167.71.0/2482.167.71.1 to 82.167.71.25482.167.71.255254
7382.167.72.0/2482.167.72.1 to 82.167.72.25482.167.72.255254
7482.167.73.0/2482.167.73.1 to 82.167.73.25482.167.73.255254
7582.167.74.0/2482.167.74.1 to 82.167.74.25482.167.74.255254
7682.167.75.0/2482.167.75.1 to 82.167.75.25482.167.75.255254
7782.167.76.0/2482.167.76.1 to 82.167.76.25482.167.76.255254
7882.167.77.0/2482.167.77.1 to 82.167.77.25482.167.77.255254
7982.167.78.0/2482.167.78.1 to 82.167.78.25482.167.78.255254
8082.167.79.0/2482.167.79.1 to 82.167.79.25482.167.79.255254
8182.167.80.0/2482.167.80.1 to 82.167.80.25482.167.80.255254
8282.167.81.0/2482.167.81.1 to 82.167.81.25482.167.81.255254
8382.167.82.0/2482.167.82.1 to 82.167.82.25482.167.82.255254
8482.167.83.0/2482.167.83.1 to 82.167.83.25482.167.83.255254
8582.167.84.0/2482.167.84.1 to 82.167.84.25482.167.84.255254
8682.167.85.0/2482.167.85.1 to 82.167.85.25482.167.85.255254
8782.167.86.0/2482.167.86.1 to 82.167.86.25482.167.86.255254
8882.167.87.0/2482.167.87.1 to 82.167.87.25482.167.87.255254
8982.167.88.0/2482.167.88.1 to 82.167.88.25482.167.88.255254
9082.167.89.0/2482.167.89.1 to 82.167.89.25482.167.89.255254
9182.167.90.0/2482.167.90.1 to 82.167.90.25482.167.90.255254
9282.167.91.0/2482.167.91.1 to 82.167.91.25482.167.91.255254
9382.167.92.0/2482.167.92.1 to 82.167.92.25482.167.92.255254
9482.167.93.0/2482.167.93.1 to 82.167.93.25482.167.93.255254
9582.167.94.0/2482.167.94.1 to 82.167.94.25482.167.94.255254
9682.167.95.0/2482.167.95.1 to 82.167.95.25482.167.95.255254
9782.167.96.0/2482.167.96.1 to 82.167.96.25482.167.96.255254
9882.167.97.0/2482.167.97.1 to 82.167.97.25482.167.97.255254
9982.167.98.0/2482.167.98.1 to 82.167.98.25482.167.98.255254
10082.167.99.0/2482.167.99.1 to 82.167.99.25482.167.99.255254
10182.167.100.0/2482.167.100.1 to 82.167.100.25482.167.100.255254
10282.167.101.0/2482.167.101.1 to 82.167.101.25482.167.101.255254
10382.167.102.0/2482.167.102.1 to 82.167.102.25482.167.102.255254
10482.167.103.0/2482.167.103.1 to 82.167.103.25482.167.103.255254
10582.167.104.0/2482.167.104.1 to 82.167.104.25482.167.104.255254
10682.167.105.0/2482.167.105.1 to 82.167.105.25482.167.105.255254
10782.167.106.0/2482.167.106.1 to 82.167.106.25482.167.106.255254
10882.167.107.0/2482.167.107.1 to 82.167.107.25482.167.107.255254
10982.167.108.0/2482.167.108.1 to 82.167.108.25482.167.108.255254
11082.167.109.0/2482.167.109.1 to 82.167.109.25482.167.109.255254
11182.167.110.0/2482.167.110.1 to 82.167.110.25482.167.110.255254
11282.167.111.0/2482.167.111.1 to 82.167.111.25482.167.111.255254
11382.167.112.0/2482.167.112.1 to 82.167.112.25482.167.112.255254
11482.167.113.0/2482.167.113.1 to 82.167.113.25482.167.113.255254
11582.167.114.0/2482.167.114.1 to 82.167.114.25482.167.114.255254
11682.167.115.0/2482.167.115.1 to 82.167.115.25482.167.115.255254
11782.167.116.0/2482.167.116.1 to 82.167.116.25482.167.116.255254
11882.167.117.0/2482.167.117.1 to 82.167.117.25482.167.117.255254
11982.167.118.0/2482.167.118.1 to 82.167.118.25482.167.118.255254
12082.167.119.0/2482.167.119.1 to 82.167.119.25482.167.119.255254
12182.167.120.0/2482.167.120.1 to 82.167.120.25482.167.120.255254
12282.167.121.0/2482.167.121.1 to 82.167.121.25482.167.121.255254
12382.167.122.0/2482.167.122.1 to 82.167.122.25482.167.122.255254
12482.167.123.0/2482.167.123.1 to 82.167.123.25482.167.123.255254
12582.167.124.0/2482.167.124.1 to 82.167.124.25482.167.124.255254
12682.167.125.0/2482.167.125.1 to 82.167.125.25482.167.125.255254
12782.167.126.0/2482.167.126.1 to 82.167.126.25482.167.126.255254
12882.167.127.0/2482.167.127.1 to 82.167.127.25482.167.127.255254
12982.167.128.0/2482.167.128.1 to 82.167.128.25482.167.128.255254
13082.167.129.0/2482.167.129.1 to 82.167.129.25482.167.129.255254
13182.167.130.0/2482.167.130.1 to 82.167.130.25482.167.130.255254
13282.167.131.0/2482.167.131.1 to 82.167.131.25482.167.131.255254
13382.167.132.0/2482.167.132.1 to 82.167.132.25482.167.132.255254
13482.167.133.0/2482.167.133.1 to 82.167.133.25482.167.133.255254
13582.167.134.0/2482.167.134.1 to 82.167.134.25482.167.134.255254
13682.167.135.0/2482.167.135.1 to 82.167.135.25482.167.135.255254
13782.167.136.0/2482.167.136.1 to 82.167.136.25482.167.136.255254
13882.167.137.0/2482.167.137.1 to 82.167.137.25482.167.137.255254
13982.167.138.0/2482.167.138.1 to 82.167.138.25482.167.138.255254
14082.167.139.0/2482.167.139.1 to 82.167.139.25482.167.139.255254
14182.167.140.0/2482.167.140.1 to 82.167.140.25482.167.140.255254
14282.167.141.0/2482.167.141.1 to 82.167.141.25482.167.141.255254
14382.167.142.0/2482.167.142.1 to 82.167.142.25482.167.142.255254
14482.167.143.0/2482.167.143.1 to 82.167.143.25482.167.143.255254
14582.167.144.0/2482.167.144.1 to 82.167.144.25482.167.144.255254
14682.167.145.0/2482.167.145.1 to 82.167.145.25482.167.145.255254
14782.167.146.0/2482.167.146.1 to 82.167.146.25482.167.146.255254
14882.167.147.0/2482.167.147.1 to 82.167.147.25482.167.147.255254
14982.167.148.0/2482.167.148.1 to 82.167.148.25482.167.148.255254
15082.167.149.0/2482.167.149.1 to 82.167.149.25482.167.149.255254
15182.167.150.0/2482.167.150.1 to 82.167.150.25482.167.150.255254
15282.167.151.0/2482.167.151.1 to 82.167.151.25482.167.151.255254
15382.167.152.0/2482.167.152.1 to 82.167.152.25482.167.152.255254
15482.167.153.0/2482.167.153.1 to 82.167.153.25482.167.153.255254
15582.167.154.0/2482.167.154.1 to 82.167.154.25482.167.154.255254
15682.167.155.0/2482.167.155.1 to 82.167.155.25482.167.155.255254
15782.167.156.0/2482.167.156.1 to 82.167.156.25482.167.156.255254
15882.167.157.0/2482.167.157.1 to 82.167.157.25482.167.157.255254
15982.167.158.0/2482.167.158.1 to 82.167.158.25482.167.158.255254
16082.167.159.0/2482.167.159.1 to 82.167.159.25482.167.159.255254
16182.167.160.0/2482.167.160.1 to 82.167.160.25482.167.160.255254
16282.167.161.0/2482.167.161.1 to 82.167.161.25482.167.161.255254
16382.167.162.0/2482.167.162.1 to 82.167.162.25482.167.162.255254
16482.167.163.0/2482.167.163.1 to 82.167.163.25482.167.163.255254
16582.167.164.0/2482.167.164.1 to 82.167.164.25482.167.164.255254
16682.167.165.0/2482.167.165.1 to 82.167.165.25482.167.165.255254
16782.167.166.0/2482.167.166.1 to 82.167.166.25482.167.166.255254
16882.167.167.0/2482.167.167.1 to 82.167.167.25482.167.167.255254
16982.167.168.0/2482.167.168.1 to 82.167.168.25482.167.168.255254
17082.167.169.0/2482.167.169.1 to 82.167.169.25482.167.169.255254
17182.167.170.0/2482.167.170.1 to 82.167.170.25482.167.170.255254
17282.167.171.0/2482.167.171.1 to 82.167.171.25482.167.171.255254
17382.167.172.0/2482.167.172.1 to 82.167.172.25482.167.172.255254
17482.167.173.0/2482.167.173.1 to 82.167.173.25482.167.173.255254
17582.167.174.0/2482.167.174.1 to 82.167.174.25482.167.174.255254
17682.167.175.0/2482.167.175.1 to 82.167.175.25482.167.175.255254
17782.167.176.0/2482.167.176.1 to 82.167.176.25482.167.176.255254
17882.167.177.0/2482.167.177.1 to 82.167.177.25482.167.177.255254
17982.167.178.0/2482.167.178.1 to 82.167.178.25482.167.178.255254
18082.167.179.0/2482.167.179.1 to 82.167.179.25482.167.179.255254
18182.167.180.0/2482.167.180.1 to 82.167.180.25482.167.180.255254
18282.167.181.0/2482.167.181.1 to 82.167.181.25482.167.181.255254
18382.167.182.0/2482.167.182.1 to 82.167.182.25482.167.182.255254
18482.167.183.0/2482.167.183.1 to 82.167.183.25482.167.183.255254
18582.167.184.0/2482.167.184.1 to 82.167.184.25482.167.184.255254
18682.167.185.0/2482.167.185.1 to 82.167.185.25482.167.185.255254
18782.167.186.0/2482.167.186.1 to 82.167.186.25482.167.186.255254
18882.167.187.0/2482.167.187.1 to 82.167.187.25482.167.187.255254
18982.167.188.0/2482.167.188.1 to 82.167.188.25482.167.188.255254
19082.167.189.0/2482.167.189.1 to 82.167.189.25482.167.189.255254
19182.167.190.0/2482.167.190.1 to 82.167.190.25482.167.190.255254
19282.167.191.0/2482.167.191.1 to 82.167.191.25482.167.191.255254
19382.167.192.0/2482.167.192.1 to 82.167.192.25482.167.192.255254
19482.167.193.0/2482.167.193.1 to 82.167.193.25482.167.193.255254
19582.167.194.0/2482.167.194.1 to 82.167.194.25482.167.194.255254
19682.167.195.0/2482.167.195.1 to 82.167.195.25482.167.195.255254
19782.167.196.0/2482.167.196.1 to 82.167.196.25482.167.196.255254
19882.167.197.0/2482.167.197.1 to 82.167.197.25482.167.197.255254
19982.167.198.0/2482.167.198.1 to 82.167.198.25482.167.198.255254
20082.167.199.0/2482.167.199.1 to 82.167.199.25482.167.199.255254
20182.167.200.0/2482.167.200.1 to 82.167.200.25482.167.200.255254
20282.167.201.0/2482.167.201.1 to 82.167.201.25482.167.201.255254
20382.167.202.0/2482.167.202.1 to 82.167.202.25482.167.202.255254
20482.167.203.0/2482.167.203.1 to 82.167.203.25482.167.203.255254
20582.167.204.0/2482.167.204.1 to 82.167.204.25482.167.204.255254
20682.167.205.0/2482.167.205.1 to 82.167.205.25482.167.205.255254
20782.167.206.0/2482.167.206.1 to 82.167.206.25482.167.206.255254
20882.167.207.0/2482.167.207.1 to 82.167.207.25482.167.207.255254
20982.167.208.0/2482.167.208.1 to 82.167.208.25482.167.208.255254
21082.167.209.0/2482.167.209.1 to 82.167.209.25482.167.209.255254
21182.167.210.0/2482.167.210.1 to 82.167.210.25482.167.210.255254
21282.167.211.0/2482.167.211.1 to 82.167.211.25482.167.211.255254
21382.167.212.0/2482.167.212.1 to 82.167.212.25482.167.212.255254
21482.167.213.0/2482.167.213.1 to 82.167.213.25482.167.213.255254
21582.167.214.0/2482.167.214.1 to 82.167.214.25482.167.214.255254
21682.167.215.0/2482.167.215.1 to 82.167.215.25482.167.215.255254
21782.167.216.0/2482.167.216.1 to 82.167.216.25482.167.216.255254
21882.167.217.0/2482.167.217.1 to 82.167.217.25482.167.217.255254
21982.167.218.0/2482.167.218.1 to 82.167.218.25482.167.218.255254
22082.167.219.0/2482.167.219.1 to 82.167.219.25482.167.219.255254
22182.167.220.0/2482.167.220.1 to 82.167.220.25482.167.220.255254
22282.167.221.0/2482.167.221.1 to 82.167.221.25482.167.221.255254
22382.167.222.0/2482.167.222.1 to 82.167.222.25482.167.222.255254
22482.167.223.0/2482.167.223.1 to 82.167.223.25482.167.223.255254
22582.167.224.0/2482.167.224.1 to 82.167.224.25482.167.224.255254
22682.167.225.0/2482.167.225.1 to 82.167.225.25482.167.225.255254
22782.167.226.0/2482.167.226.1 to 82.167.226.25482.167.226.255254
22882.167.227.0/2482.167.227.1 to 82.167.227.25482.167.227.255254
22982.167.228.0/2482.167.228.1 to 82.167.228.25482.167.228.255254
23082.167.229.0/2482.167.229.1 to 82.167.229.25482.167.229.255254
23182.167.230.0/2482.167.230.1 to 82.167.230.25482.167.230.255254
23282.167.231.0/2482.167.231.1 to 82.167.231.25482.167.231.255254
23382.167.232.0/2482.167.232.1 to 82.167.232.25482.167.232.255254
23482.167.233.0/2482.167.233.1 to 82.167.233.25482.167.233.255254
23582.167.234.0/2482.167.234.1 to 82.167.234.25482.167.234.255254
23682.167.235.0/2482.167.235.1 to 82.167.235.25482.167.235.255254
23782.167.236.0/2482.167.236.1 to 82.167.236.25482.167.236.255254
23882.167.237.0/2482.167.237.1 to 82.167.237.25482.167.237.255254
23982.167.238.0/2482.167.238.1 to 82.167.238.25482.167.238.255254
24082.167.239.0/2482.167.239.1 to 82.167.239.25482.167.239.255254
24182.167.240.0/2482.167.240.1 to 82.167.240.25482.167.240.255254
24282.167.241.0/2482.167.241.1 to 82.167.241.25482.167.241.255254
24382.167.242.0/2482.167.242.1 to 82.167.242.25482.167.242.255254
24482.167.243.0/2482.167.243.1 to 82.167.243.25482.167.243.255254
24582.167.244.0/2482.167.244.1 to 82.167.244.25482.167.244.255254
24682.167.245.0/2482.167.245.1 to 82.167.245.25482.167.245.255254
24782.167.246.0/2482.167.246.1 to 82.167.246.25482.167.246.255254
24882.167.247.0/2482.167.247.1 to 82.167.247.25482.167.247.255254
24982.167.248.0/2482.167.248.1 to 82.167.248.25482.167.248.255254
25082.167.249.0/2482.167.249.1 to 82.167.249.25482.167.249.255254
25182.167.250.0/2482.167.250.1 to 82.167.250.25482.167.250.255254
25282.167.251.0/2482.167.251.1 to 82.167.251.25482.167.251.255254
25382.167.252.0/2482.167.252.1 to 82.167.252.25482.167.252.255254
25482.167.253.0/2482.167.253.1 to 82.167.253.25482.167.253.255254
25582.167.254.0/2482.167.254.1 to 82.167.254.25482.167.254.255254
25682.167.255.0/2482.167.255.1 to 82.167.255.25482.167.255.255254

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses